USHARE(1)

NAME
uShare - a lightweight UPnP Media Server

SYNOPSIS
ushare [-v] [-n name] [-i interface] [-p port] [-w] [-c directory] [[-c directory]...]

DESCRIPTION
uShare is a free UPnP multimedia files Media Server. It implements the server component that provides UPnP media devices with information on available multimedia files. uShare uses the built-in http server of libupnp to stream the files to clients.

OPTIONS
This program follow the usual GNU command line syntax.

--verbose (-v)
    Set verbose display.

--daemon (-D)
    Run as a daemon.

--name (-n) NAME
    Set UPnP Friendly Name (display name of the media server). Default is 'uShare'.

--interface (-i) INTERFACE
    Set Network interface to listen on. Default is 'uShare'.

--port (-p) PORT
    Set Network port to listen on. Default is random above 49152.

--content (-c) DIRECTORY
    Set directory to scan for multimedia files.

--no-web (-w)
    Disable the control web page (enabled by default).

--version (-V)
    Display uShare version number.

REMOTE CONTROL
You can also perform remote control of uShare UPnP Media Server through its web interface. This let you define new content locations at runtime or update the currently shared one in case the filesystem has changed. To disable this feature, use the --no-web option (see bellow).

Just go to :

http://ip_address:port/web/ushare.html

FILE TYPES
The following file formats (extensions) are supported :

Video
    asf, avi, dv, divx, wmv, mjpg, mjpeg, mpeg, mpg, mpe, mp2p, vob, mp2t, m1v, m2v, m4v, m4p, mp4ps, ts, ogm, mkv, rmvb, mov, qt

Audio
    aac, ac3, aif, aiff, at3p, au, snd, dts, rmi, mp1, mp2, mp3, mp4, mpa, ogg, wav, pcm, lpcm, l16, wma, mka, ra, rm, ram

Images
    bmp, ico, gif, jpeg, jpg, jpe, pcd, png, pnm, ppm, qti, qtf, qtif, tif, tiff

Playlist
    pls, m3u, asx

Subtitles
    dks, idx, mpl, pjs, psb, scr, srt, ssa, stl, sub, tts, vsf, zeg

Miscellaneous files
    bup, ifo

REPORTING BUGS
Report bugs to <ushare@geexbox.org>.

AUTHOR
uShare was written by Benjamin Zores <ben@geexbox.org>.

COPYRIGHT
Copyright © 2005-2006 Benjamin Zores

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.